Subject: Re: bug#5187: 23.1.90; default fonts have gotten worse in the last month

From: Joe Brenner <[email-masked]>
Date: Sun, 13 Dec 2009 13:20:31 -0800

=?ISO-8859-1?Q?Jan_Dj=E4rv?= <[email-masked]> wrote:
> Joseph Brenner skrev:
> > Recently, emacs seemed to have been using some nicer looking
> > fonts by default, for example in the cvs build as of nov 18, 2009:
> >
> >   http://obsidianrook.com/data/emacs/default_font_111809_emacs_build.jpg
> >
> > The 23.1.90 pretest and the latest cvs build (dec 11, 2009) have
> > much weaker default fonts:
> >
> >   http://obsidianrook.com/data/emacs/emacs-23.1.90-fonts.jpg
> >   http://obsidianrook.com/data/emacs/default_font_121109_emacs_build.jpg

> What environment are you using (KDE, Gnome, Xfce, other)?

I'm using the icewm window manager on what is technically a "kubuntu"
installation (jaunty).

> Does other Gnome applications have fonts as your Emacs had in nov 18?

I should explain that I'm comparing different builds on the same machine
at the same time -- Gnome/KDE/etc are identical in both cases.

> What does
> % xrdb -query|grep Xft
> give?

Nothing.

Withouth the grep filter:

xrdb -query
*customization:	-color

> Does
> % emacs -fn 'Monospace-10:hintstyle=3'
> give the results you want?

No, I don't see any change with that.

But actually, I think I should apologize for giving you an unclear bug
report.  I was complaining about the new fonts not being "as nice",
but now that I look at it more closely, really the only difference is
the fonts with the latest emacs are smaller by default.  In this screen
shot, the emacs on the right looks the same as the one in the upper left,
but it's the same version as the ones on the lower left, I've just
manually scaled up the font a notch with "C-x C-+":

  http://obsidianrook.com/data/emacs/emacs-23.1.90-default-font-size.jpg

So the "bug" here is that the default font size for 23.1.90 is
smaller than for 23.1.50.